with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLIPrintCollection_Interface is

   procedure Initialize (This : in out IHTMLIPrintCollection_Type) is
   begin
      Set_IID (This, IID_IHTMLIPrintCollection);
   end Initialize;

   function Pointer (This : IHTMLIPrintCollection_Type)
     return Pointer_To_IHTMLIPrintCollection
   is
   begin
      return To_Pointer_To_IHTMLIPrintCollection (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLIPrintCollection_Type;
                     Pointer : in     Pointer_To_IHTMLIPrintCollection)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_length
     (This : IHTMLIPrintCollection_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_length
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_length;

   function Getu_newEnum
     (This : IHTMLIPrintCollection_Type)
     return GNATCOM.Types.Pointer_To_IUnknown
   is
       RetVal : aliased GNATCOM.Types.Pointer_To_IUnknown;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Getu_newEnum
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Getu_newEnum;

   function item
     (This     : IHTMLIPrintCollection_Type;
      index    : Interfaces.C.long)
     return GNATCOM.Types.Pointer_To_IUnknown
   is
       RetVal : aliased GNATCOM.Types.Pointer_To_IUnknown;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.item
         (Pointer (This),
          index,
          RetVal'Unchecked_Access));

      return RetVal;
   end item;

end MSHTML.IHTMLIPrintCollection_Interface;

